package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.SjGfjsFdgz;

/**
 * 单位分档规则Service接口
 * 
 * @author qianhe
 * @date 2025-08-15
 */
public interface ISjGfjsFdgzService 
{
    /**
     * 查询单位分档规则
     * 
     * @param id 单位分档规则主键
     * @return 单位分档规则
     */
    public SjGfjsFdgz selectSjGfjsFdgzById(Long id);

    /**
     * 查询单位分档规则列表
     * 
     * @param sjGfjsFdgz 单位分档规则
     * @return 单位分档规则集合
     */
    public List<SjGfjsFdgz> selectSjGfjsFdgzList(SjGfjsFdgz sjGfjsFdgz);

    /**
     * 新增单位分档规则
     * 
     * @param sjGfjsFdgz 单位分档规则
     * @return 结果
     */
    public int insertSjGfjsFdgz(SjGfjsFdgz sjGfjsFdgz);

    /**
     * 修改单位分档规则
     * 
     * @param sjGfjsFdgz 单位分档规则
     * @return 结果
     */
    public int updateSjGfjsFdgz(SjGfjsFdgz sjGfjsFdgz);

    /**
     * 批量删除单位分档规则
     * 
     * @param ids 需要删除的单位分档规则主键集合
     * @return 结果
     */
    public int deleteSjGfjsFdgzByIds(Long[] ids);

    /**
     * 删除单位分档规则信息
     * 
     * @param id 单位分档规则主键
     * @return 结果
     */
    public int deleteSjGfjsFdgzById(Long id);
}
